MooseX::Role::Parameterized::Meta::Trait::Parameterized(3)

NAME
MooseX::Role::Parameterized::Meta::Trait::Parameterized - trait for parameterized roles

VERSION
version 1.08

DESCRIPTION
This is the trait for parameterized roles; that is, parameterizable roles with their parameters bound. All this actually provides is a place to store the MooseX::Role::Parameterized::Parameters object as well as the MooseX::Role::Parameterized::Meta::Role::Parameterizable object that generated this role object.

ATTRIBUTES

  genitor
Returns the MooseX::Role::Parameterized::Meta::Role::Parameterizable metaobject that generated this role.

  parameters
Returns the MooseX::Role::Parameterized::Parameters object that represents the specific parameter values for this parameterized role.

AUTHOR
Shawn M Moore <code@sartak.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2008 by Shawn M Moore.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.